### Method

# Gio DBusMessage print

since: 2.26

#### Declaration [src]

    gchar*
    g_dbus_message_print (
      GDBusMessage* message,
      guint indent
    )

#### Description [src]

Produces a human-readable multi-line description of `message`.

The contents of the description has no ABI guarantees, the contents and formatting is subject to change at any time. Typical output looks something like this:

    Flags:   none
    Version: 0
    Serial:  4
    Headers:
      path -> objectpath '/org/gtk/GDBus/TestObject'
      interface -> 'org.gtk.GDBus.TestInterface'
      member -> 'GimmeStdout'
      destination -> ':1.146'
    Body: ()
    UNIX File Descriptors:
      (none)

or

    Flags:   no-reply-expected
    Version: 0
    Serial:  477
    Headers:
      reply-serial -> uint32 4
      destination -> ':1.159'
      sender -> ':1.146'
      num-unix-fds -> uint32 1
    Body: ()
    UNIX File Descriptors:
      fd 12: dev=0:10,mode=020620,ino=5,uid=500,gid=5,rdev=136:2,size=0,atime=1273085037,mtime=1273085851,ctime=1272982635

Available since: 2.26

#### Parameters

`indent`

  Type: `guint`

  Indentation level.

#### Return value

Type: `gchar*`

A string that should be freed with `g_free()`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.